Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510146 - [abrt] gdb-headless: bfd_getl32(): gdb killed by SIGBUS
Summary: [abrt] gdb-headless: bfd_getl32(): gdb killed by SIGBUS
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Durigan Junior
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:44ad132626f4422193036b00d7b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 18:38 UTC by Vitaliy Sapronenko
Modified: 2018-05-29 11:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:41:37 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-06 18:38 UTC, Vitaliy Sapronenko
no flags Details
File: cgroup (deleted)
2017-11-06 18:38 UTC, Vitaliy Sapronenko
no flags Details
File: core_backtrace (deleted)
2017-11-06 18:38 UTC, Vitaliy Sapronenko
no flags Details
File: dso_list (deleted)
2017-11-06 18:38 UTC, Vitaliy Sapronenko
no flags Details
File: environ (deleted)
2017-11-06 18:38 UTC, Vitaliy Sapronenko
no flags Details
File: limits (deleted)
2017-11-06 18:38 UTC, Vitaliy Sapronenko
no flags Details
File: maps (deleted)
2017-11-06 18:38 UTC, Vitaliy Sapronenko
no flags Details
File: open_fds (deleted)
2017-11-06 18:38 UTC, Vitaliy Sapronenko
no flags Details
File: proc_pid_status (deleted)
2017-11-06 18:38 UTC, Vitaliy Sapronenko
no flags Details
File: var_log_messages (deleted)
2017-11-06 18:38 UTC, Vitaliy Sapronenko
no flags Details
File: cpuinfo (deleted)
2017-11-06 18:38 UTC, Vitaliy Sapronenko
no flags Details
File: exploitable (deleted)
2017-11-06 18:38 UTC, Vitaliy Sapronenko
no flags Details

Description Vitaliy Sapronenko 2017-11-06 18:38:04 UTC
Version-Release number of selected component:
gdb-headless-8.0.1-30.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gdb -i mi --tty=/tmp/QtCreator-gWhJZh/outputcollector.Qf2638
crash_function: bfd_getl32
executable:     /usr/libexec/gdb
journald_cursor: s=b1fce60cd59646338aad3963d2efe44f;i=54b24;b=432ff4a1a5f841aa9aa67d98aea3de49;m=8d0ac5e3c;t=55d5498040ae0;x=53076d3e0bd183a7
kernel:         4.13.10-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 bfd_getl32 at ../../bfd/libbfd.c:551
 #1 read_initial_length at ../../gdb/dwarf2-frame.c:1578
 #2 decode_frame_entry_1 at ../../gdb/dwarf2-frame.c:1888
 #3 decode_frame_entry at ../../gdb/dwarf2-frame.c:2185
 #4 dwarf2_build_frame_info at ../../gdb/dwarf2-frame.c:2341
 #5 dwarf2_frame_find_fde at ../../gdb/dwarf2-frame.c:1803
 #6 dwarf2_frame_sniffer at ../../gdb/dwarf2-frame.c:1433
 #7 frame_unwind_try_unwinder at ../../gdb/frame-unwind.c:107
 #8 frame_unwind_find_by_frame at ../../gdb/frame-unwind.c:163
 #9 get_frame_type at ../../gdb/frame.c:2616

Potential duplicate: bug 926099

Comment 1 Vitaliy Sapronenko 2017-11-06 18:38:12 UTC
Created attachment 1348713 [details]
File: backtrace

Comment 2 Vitaliy Sapronenko 2017-11-06 18:38:13 UTC
Created attachment 1348714 [details]
File: cgroup

Comment 3 Vitaliy Sapronenko 2017-11-06 18:38:15 UTC
Created attachment 1348715 [details]
File: core_backtrace

Comment 4 Vitaliy Sapronenko 2017-11-06 18:38:17 UTC
Created attachment 1348716 [details]
File: dso_list

Comment 5 Vitaliy Sapronenko 2017-11-06 18:38:19 UTC
Created attachment 1348717 [details]
File: environ

Comment 6 Vitaliy Sapronenko 2017-11-06 18:38:21 UTC
Created attachment 1348718 [details]
File: limits

Comment 7 Vitaliy Sapronenko 2017-11-06 18:38:23 UTC
Created attachment 1348719 [details]
File: maps

Comment 8 Vitaliy Sapronenko 2017-11-06 18:38:25 UTC
Created attachment 1348720 [details]
File: open_fds

Comment 9 Vitaliy Sapronenko 2017-11-06 18:38:26 UTC
Created attachment 1348721 [details]
File: proc_pid_status

Comment 10 Vitaliy Sapronenko 2017-11-06 18:38:28 UTC
Created attachment 1348722 [details]
File: var_log_messages

Comment 11 Vitaliy Sapronenko 2017-11-06 18:38:30 UTC
Created attachment 1348723 [details]
File: cpuinfo

Comment 12 Vitaliy Sapronenko 2017-11-06 18:38:32 UTC
Created attachment 1348724 [details]
File: exploitable

Comment 13 Fedora End Of Life 2018-05-03 08:15:34 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:41:37 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.